"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../node_modules/element-plus/es/index.js");
;/* empty css                                                             */
;/* empty css                                                                     */
const Vue = require("vue");
const common = require("../../utils/common.js");
const widgets = require("./widgets.vue.js");
const optBtn = require("./optBtn.vue.js");
const customBtn = require("./customBtn.vue.js");
const filterWidgets = require("./filterWidgets.vue.js");
const index = require("../../../../../node_modules/element-plus/es/components/scrollbar/index.js");
const _sfc_main = {
  __name: "index",
  setup(__props) {
    const currentItem = Vue.computed(() => {
      return common.getCurrentItem();
    });
    const editingProperty = Vue.computed(() => {
      var _a;
      switch ((_a = currentItem.value) == null ? void 0 : _a.type) {
        case "widgets":
          return widgets.default;
        case "optBtn":
          return optBtn.default;
        case "customBtn":
          return customBtn.default;
        case "filterWidgets":
          return filterWidgets.default;
      }
      return null;
    });
    return (_ctx, _cache) => {
      const _component_el_scrollbar = index.ElScrollbar;
      return Vue.openBlock(), Vue.createBlock(_component_el_scrollbar, null, {
        default: Vue.withCtx(() => [
          (Vue.openBlock(), Vue.createBlock(Vue.resolveDynamicComponent(Vue.unref(editingProperty))))
        ]),
        _: 1
      });
    };
  }
};
exports.default = _sfc_main;
